
class PreviewAttachColumnHook < Redmine::Hook::ViewListener
  def view_layouts_base_html_head(context={})
    #ActionController::Base::logger.info "Layouts hook controller: #{context[:controller] ? context[:controller].class.to_s : "NULL"}"
    if context[:controller] && (  context[:controller].is_a?(IssuesController) ||
                                  context[:controller].is_a?(WikiController) ||
                                  context[:controller].is_a?(DocumentsController) ||
                                  context[:controller].is_a?(FilesController) ||
                                  context[:controller].is_a?(NewsController) ||
                                  context[:controller].is_a?(MessagesController))
      str=''
      str << stylesheet_link_tag("pac_stylesheet.css", :plugin => "redmine_preview_attach_column", :media => "screen")
      str << stylesheet_link_tag("lightbox.css", :plugin => "redmine_preview_attach_column", :media => "screen")
      #effects loaded by redmine itself
      #str << javascript_include_tag('scriptaculous.js?load=builder,effects', :plugin => 'redmine_preview_attach_column')
      str << javascript_include_tag('scriptaculous.js?load=builder', :plugin => 'redmine_preview_attach_column')
      str << javascript_include_tag('lightbox.js', :plugin => 'redmine_preview_attach_column')

      str << '<script type="text/javascript">' << "\n"

      str << "LightboxOptions['fileLoadingImage']='#{image_path("loading.gif", :plugin => 'redmine_preview_attach_column')}'\n"
      str << "LightboxOptions['fileBottomNavCloseImage']='#{image_path("closelabel.gif", :plugin => 'redmine_preview_attach_column')}'\n"
      str << "LightboxOptions['labelImage']='#{l(:label_pac_image)}'\n"
      str << "LightboxOptions['labelOf']='#{l(:label_pac_of)}'\n"
      #str << "LightboxOptions['animate']=true\n"
      str << "LightboxOptions['titleAttribute']='imgdetails'\n"

      str << "\n</script>\n"
      str
    else
      ''
    end
  end
end


